aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authormekkanik <karthik.hp@gmail.com>2017-12-20 15:57:40 +0800
committermekkanik <karthik.hp@gmail.com>2017-12-20 15:57:40 +0800
commit241ad1ae39f9db67624e879ef1d6cc52d0472349 (patch)
tree77ce1ccffa953e08cba8bf134d496a5b93b7b663 /scripts
parent55752db9569a3d6c0253beb26465c722245a4505 (diff)
downloaddexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar.gz
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar.bz2
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar.lz
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar.xz
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.tar.zst
dexon-solidity-241ad1ae39f9db67624e879ef1d6cc52d0472349.zip
Changes to support Linux Mint: a derivative of Ubuntu.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install_deps.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index 15e864b5..34a6328b 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -253,19 +253,20 @@ case $(uname -s) in
echo "See https://github.com/ethereum/webthree-umbrella/issues/552."
exit 1
;;
-
#------------------------------------------------------------------------------
# Ubuntu
#
#------------------------------------------------------------------------------
- Ubuntu)
+ Ubuntu|LinuxMint)
+ #LinuxMint is a distro on top of Ubuntu.
#Ubuntu
install_z3=""
case $(lsb_release -cs) in
- trusty)
+ trusty|qiana|rebecca|rafaela|rosa)
#trusty
echo "Installing solidity dependencies on Ubuntu Trusty Tahr (14.04)."
+ echo "Or, you may also be running Linux Mint Qiana / Rebecca / Rafaela / Rosa (base: Ubuntu Trusty Tahr (14.04).)"
;;
utopic)
#utopic
@@ -279,9 +280,10 @@ case $(uname -s) in
#wily
echo "Installing solidity dependencies on Ubuntu Wily Werewolf (15.10)."
;;
- xenial)
+ xenial|sarah|serena|sonya|sylvia)
#xenial
echo "Installing solidity dependencies on Ubuntu Xenial Xerus (16.04)."
+ echo "Or, you may also be running Linux Mint Sarah / Serena / Sonya / Sylvia (base: Ubuntu Xenial Xerus (16.04).)"
install_z3="libz3-dev"
;;
yakkety)
@@ -299,6 +301,15 @@ case $(uname -s) in
echo "Installing solidity dependencies on Ubuntu Artful (17.10)."
install_z3="libz3-dev"
;;
+ betsy)
+ #do not try anything for betsy.
+ echo "Linux Mint Betsy is not supported at the moment as it runs off of Debian."
+ echo "We only support Sylvia, Sonya, Serena, Sarah, Rosa, Rafaela, Rebecca, and Qiana."
+ echo "See http://solidity.readthedocs.io/en/latest/installing-solidity.html for manual instructions."
+ echo "If you would like to get your distro working, that would be fantastic."
+ echo "Drop us a message at https://gitter.im/ethereum/solidity-dev."
+ exit 1
+ ;;
*)
#other Ubuntu
echo "ERROR - Unknown or unsupported Ubuntu version (" $(lsb_release -cs) ")"